## r-cran-prettyunits 1.0.2

=== DESCRIPTION ===
Package: prettyunits
Title: Pretty, Human Readable Formatting of Quantities
Version: 1.0.2
Author: Gabor Csardi
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Pretty, human readable formatting of quantities.
    Time intervals: 1337000 -> 15d 11h 23m 20s.
    Vague time intervals: 2674000 -> about a month ago.
    Bytes: 1337 -> 1.34 kB.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/gaborcsardi/prettyunits
BugReports: https://github.com/gaborcsardi/prettyunits/issues
Imports: magrittr, assertthat, methods
Suggests: testthat
NeedsCompilation: no
Packaged: 2015-07-13 02:03:57 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2015-07-13 04:09:56

=== debian/changelog ===
r-cran-prettyunits (1.0.2-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 12:03:07 +0200

r-cran-prettyunits (1.0.2-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 22:49:15 +0200

r-cran-prettyunits (1.0.2-1) unstable; urgency=medium

  * Initial release (closes: #848658)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2016 11:28:57 +0100

=== debian/control ===
Source: r-cran-prettyunits
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-magrittr,
               r-cran-assertthat
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prettyunits
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prettyunits.git
Homepage: https://cran.r-project.org/package=prettyunits

Package: r-cran-prettyunits
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R pretty, human readable formatting of quantities
 Pretty, human readable formatting of quantities.
 Time intervals: 1337000 -> 15d 11h 23m 20s.
 Vague time intervals: 2674000 -> about a month ago.
 Bytes: 1337 -> 1.34 kB.

## r-cran-prettyunits 1.1.1

=== DESCRIPTION ===
Package: prettyunits
Title: Pretty, Human Readable Formatting of Quantities
Version: 1.1.1
Author: Gabor Csardi
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: Pretty, human readable formatting of quantities.
    Time intervals: '1337000' -> '15d 11h 23m 20s'.
    Vague time intervals: '2674000' -> 'about a month ago'.
    Bytes: '1337' -> '1.34 kB'.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/gaborcsardi/prettyunits
BugReports: https://github.com/gaborcsardi/prettyunits/issues
Suggests: codetools, covr, testthat
RoxygenNote: 7.0.2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-01-24 02:16:46 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2020-01-24 06:50:07 UTC

=== debian/changelog ===
r-cran-prettyunits (1.1.1-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 09:21:15 +0200

r-cran-prettyunits (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 11:12:59 +0100

r-cran-prettyunits (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/copyright
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Test-Depends: r-cran-codetools

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2020 11:36:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
-               r-base-dev,
-               r-cran-magrittr,
-               r-cran-assertthat
-Standards-Version: 4.1.4
+               r-base-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prettyunits
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prettyunits.git
 Homepage: https://cran.r-project.org/package=prettyunits
+Rules-Requires-Root: no
 
 Package: r-cran-prettyunits
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-codetools
Restrictions: allow-stderr

## r-cran-prettyunits 1.2.0

=== DESCRIPTION ===
Package: prettyunits
Title: Pretty, Human Readable Formatting of Quantities
Version: 1.2.0
Authors@R: c(
  person("Gabor", "Csardi", email="csardi.gabor@gmail.com", role=c("aut", "cre")),
  person("Bill", "Denney", email="wdenney@humanpredictions.com", role=c("ctb"), comment=c(ORCID="0000-0002-5759-428X")),
  person("Christophe", "Regouby", email="christophe.regouby@free.fr", role=c("ctb"))
  )
Description: Pretty, human readable formatting of quantities.
    Time intervals: '1337000' -> '15d 11h 23m 20s'.
    Vague time intervals: '2674000' -> 'about a month ago'.
    Bytes: '1337' -> '1.34 kB'.
    Rounding: '99' with 3 significant digits -> '99.0'
    p-values: '0.00001' -> '<0.0001'.
    Colors: '#FF0000' -> 'red'.
    Quantities: '1239437' -> '1.24 M'.
License: MIT + file LICENSE
URL: https://github.com/r-lib/prettyunits
BugReports: https://github.com/r-lib/prettyunits/issues
Depends: R(>= 2.10)
Suggests: codetools, covr, testthat
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-09-24 10:53:19 UTC; gaborcsardi
Author: Gabor Csardi [aut, cre],
  Bill Denney [ctb] (<https://orcid.org/0000-0002-5759-428X>),
  Christophe Regouby [ctb]
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2023-09-24 21:10:02 UTC

=== debian/changelog ===
r-cran-prettyunits (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 11:11:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-prettyunits
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prettyunits
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prettyunits.git
 Homepage: https://cran.r-project.org/package=prettyunits
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
 
 Package: r-cran-prettyunits
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-codetools,
        r-cran-covr,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/prettyunits_([-\d.]*)\.tar\.gz
